import { AlertService } from '@zeedhi/common';

export class CustomAlertService extends AlertService {

    public static saveSuccessAlert() {
        this.show({
            name: "save-success-alert",
            text: "Registro(s) salvo(s) com sucesso.",
            color: "success",
            showDismiss: true,
            top: true,
            right: true,
        });
    }

    public static deleteSuccessAlert() {
        this.show({
            name: "delete-success-alert",
            text: "Registro(s) excluído(s) com sucesso.",
            color: "success",
            showDismiss: true,
            top: true,
            right: true,
        });
    }

    public static errorAlert(text: string) {
        this.show({
            name: "error-alert",
            text,
            color: "error",
            showDismiss: true,
            top: true,
            right: true,
        });
    }

    public static warningAlert(text: string) {
        this.show({
            name: "warning-alert",
            text,
            color: "warning",
            showDismiss: true,
            top: true,
            right: true,
        });
    }

    public static successAlert(text: string) {
        this.show({
            name: "success-alert",
            text,
            color: "success",
            showDismiss: true,
            top: true,
            right: true,
        });
    }

}
